Get lists
GET /api/v1/lists/{listId}: request fields and declared response contract.
GET/api/v1/lists/{listId}
| Permission | list.read |
|---|---|
| Workspace scope | required |
| Scope target | workspace |
Parameters
| Field | Type | Required | Nullable | Default |
|---|---|---|---|---|
| listId | string | required | non-null | — |
Query parameters: none.
Response
200
| Field | Type | Required | Nullable | Default |
|---|---|---|---|---|
| data | object | required | non-null | — |
| data.id | string | required | non-null | — |
| data.companyId | string | required | non-null | — |
| data.name | string | required | non-null | — |
| data.description | string | optional | nullable | — |
| data.createdAt | string | optional | nullable | — |
| data.updatedAt | string | optional | nullable | — |
| data.memberCount | number | optional | non-null | — |
| data.entityType | string | optional | nullable | — |
| data.target | unknown | optional | non-null | — |
| data.rankingConfig | object | optional | non-null | — |
| data.rankingConfig.type | "none" | "manual" | "computed" | required | non-null | — |
| data.rankingConfig.sortBy | "aum" | "lastTouch" | "relationshipStatus" | "alphabetical" | optional | non-null | — |
| data.rankingConfig.sortOrder | "asc" | "desc" | optional | non-null | — |
| data.rankingConfig.lastSortedBy | "aum" | "lastTouch" | "relationshipStatus" | "alphabetical" | optional | non-null | — |
| data.presentation | object | optional | non-null | — |
| data.presentation.label | string | required | non-null | — |
| data.presentation.iconKey | "record" | "building" | "person" | "group" | "fund" | "document" | "place" | "event" | "list" | "tag" | optional | non-null | — |
Declared failures
| LIST_NOT_FOUND | 404 — not retryable |
|---|
Readback
This method returns the current state it read.
- lists.get
Request example
Schematic only. Replace placeholders with real values and include all required nested fields.
GET /api/v1/lists/{listId} HTTP/1.1
Authorization: Bearer <token>
x-merulan-workspace-id: <workspace-id>